Nebul Docs

Create Response

POST
/v1/responses

Create a response using OpenAI's Responses API. Supports structured outputs, function calling, and stateful conversations.

curl -X POST https://api.inference.nebul.io/v1/responses \-H "Content-Type: application/json" \-H "Authorization: Bearer sk-1234" \-d '{    "model": "openai/gpt-oss-120b",    "messages": [        {            "role": "user",            "content": "Hello!"        }    ]}'

Authorization

X-API-Key<token>

Project-scoped Nebul API key. Also accepted as Authorization: Bearer <key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/responses" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "messages": [      {        "role": "user",        "content": "string"      }    ]  }'
null